Subject: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 04 Sep 2020 21:43:58 +0200

Arun Isaac <[email-masked]> writes:

>> Arun, Leo, what’s the status of this patch series?
>>
>>   https://issues.guix.gnu.org/42885
>>
>> Can it be applied?
>
> Ricardo has clarified that we may consider the existing js-mathjax 2.7.2
> package to have been built from source even though it isn't the form
> upstream uses for development. No problems there.
>
> But, like Brendan said, mathjax 3 is quite a different beast. With
> mathjax 2, the source was in javascript, and our build system had merely
> to minify it. But mathjax 3 is written in typescript that gets compiled
> into javascript and then combined into "web component files" (this is
> the first I'm hearing of web components and I'm not entirely clear what
> they are). Since we don't have a typescript build system, packaging
> mathjax 3 may be non-trivial. So, we should proceed with updating
> calibre without mathjax support.

There may be a way to transpile the TypeScript sources with swc, a
babel-like transpiler with TypeScript support; it’s written in Rust, so
there may be a way to work around the JavaScript packaging problem.

-- 
Ricardo